using System;

internal sealed class Delegate123 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate123 delegate123_1)
	{
		return delegate123_1(object_0);
	}

	public extern Delegate123(object object_0, IntPtr intptr_0);

	static Delegate123()
	{
		Class10.smethod_13(typeof(Delegate123).TypeHandle);
	}

	internal static Delegate123 delegate123_0;
}
